Subject: Re: [PATCH 2/3] guix: Remove rakudo-build-system.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 25 Feb 2024 17:46:33 +0100

Am Sonntag, dem 25.02.2024 um 16:50 +0200 schrieb Efraim Flashner:
> On Sat, Feb 24, 2024 at 02:27:45AM +0100, Liliana Marie Prikler
> wrote:
> > Am Dienstag, dem 20.02.2024 um 09:03 +0200 schrieb Efraim Flashner:
> > > * guix/build/rakudo-build-system.scm: Remove file.
> > > * guix/build-system/rakudo.scm: Remove file.
> > > * doc/guix.texi (Build Systems): Remove section for rakudo-build-
> > > system.
> > > * etc/snippets/yas/scheme-mode/guix-package: Remove rakudo-build-
> > > system.
> > > * Makefile.am (MODULES): Remove rakudo-build-system files.
> > > 
> > > Change-Id: Ida6ec6c9be075f10be540c82cee5207176f1cfe2
> > > ---
> > Given that we will keep raku, but not "perl6", what is the impact
> > on
> > packaging raku packages after this removal?  Will we have to
> > reinvent
> > rakudo-build-system?
> 
> That's a good question.
> 
> With the work that was done with the other patchset to adjust some of
> the perl6 packages to become raku packages I don't believe any
> changes were needed to the rakudo-build-system other than adjusting
> the check phase.  I'm glad that there weren't any problems with it,
> but I haven't looked at either the language or the build system in
> more than 4 years.
Good to know.

> I'd rather yank it out than dive in and make sure it works correctly,
> so we're not leaving broken bits around if someone later wanted to
> use it, but I don't know if they'd prefer a build system that
> probably mostly works or to know that rakudo is packaged and they're
> on their own for actual packages.
If it works for at least one package in the tree I'd rather leave it
in; if it needs adjustments for more packages, we can still change it
as we go.

Cheers